Loading...
Searching...
No Matches
Dune::CollectiveIterator< T, A > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

A collective iterator for moving over the remote indices for all processes collectively. More...

`#include <dune/common/parallel/remoteindices.hh>`

## Classes

class | iterator
| Iterator over the valid underlying iterators. More...

## Public Types

typedef std::map< int, std::pair< RemoteIndexList *, RemoteIndexList * > > | RemoteIndexMap
| The type of the map from rank to remote index list.

## Public Member Functions

| CollectiveIterator (const RemoteIndexMap &map_, bool send)
| Constructor.
void | advance (const GlobalIndex &global)
| Advances all underlying iterators.
void | advance (const GlobalIndex &global, const Attribute &attribute)
| Advances all underlying iterators.
CollectiveIterator & | operator++ ()
bool | empty () const
| Checks whether there are still iterators in the map.
iterator | begin ()
iterator | end ()

## Detailed Description

template<class T, class A>
class Dune::CollectiveIterator< T, A >

A collective iterator for moving over the remote indices for all processes collectively.

## Member Typedef Documentation

## RemoteIndexMap

template<class T, class A>

typedef std::map<int, std::pair<RemoteIndexList*,RemoteIndexList*> > Dune::CollectiveIterator< T, A >::RemoteIndexMap

The type of the map from rank to remote index list.

The documentation for this class was generated from the following file:

- remoteindices.hh